> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesbricks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve subscription recast sign URL

> Retrieves a URL for signing a subscription's recast open order.



## OpenAPI

````yaml https://api.salesbricks.com/api/v2/openapi.yaml post /subscriptions/{subscription_id}/recast/{order_id}/sign
openapi: 3.0.3
info:
  title: Salesbricks REST API
  version: 2.0.0
  description: API reference for external integrations
servers:
  - url: https://api.salesbricks.com/api/v2
    description: Production
  - url: https://api.staging.salesbricks.com/api/v2
    description: Staging
security:
  - ApiKeyAuth: []
tags:
  - name: Subscriptions
    description: >-
      Operations related to subscription management, including creation,
      updates, and retrieving subscription details. Subscriptions can be
      upgraded to add / remove add-ons by using the POST
      /subscriptions/{subscription_id}/upgrade endpoint and can be recasted for
      replacing the current agreement using the POST
      /subscriptions/{subscription_id}/recast endpoint
  - name: Customers
    description: >-
      Operations related to customer management, including creation, updates,
      and managing customer person objects.
  - name: Invoices
    description: Operations related to subscription's invoicing details.
  - name: Plans
    description: >-
      Operations related to listing and getting plan details including bricks in
      the plan.
  - name: Payment Methods
    description: Operations related to subscription's payment method.
paths:
  /subscriptions/{subscription_id}/recast/{order_id}/sign:
    post:
      tags:
        - Subscription Recasts
      summary: Retrieve subscription recast sign URL
      description: Retrieves a URL for signing a subscription's recast open order.
      operationId: retrieveSubscriptionRecastSignUrl
      parameters:
        - in: path
          name: order_id
          schema:
            type: string
          description: The ID of the recast order
          required: true
        - in: path
          name: subscription_id
          schema:
            type: string
          description: The ID of the subscription
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - redirect_url
              properties:
                redirect_url:
                  type: string
                  format: uri
                  description: URL to redirect to after signing
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionSignUrlOutput'
          description: ''
components:
  schemas:
    SubscriptionSignUrlOutput:
      type: object
      description: Subscription sign URL output serializer.
      properties:
        url:
          type: string
          format: uri
          description: URL for signing the subscription
      required:
        - url
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-SALESBRICKS-KEY
      description: API key for authentication

````

## Related topics

- [MCP](/integrations/mcp.md)
- [Manage My Subscription](/api-reference/manage-my-subscription.md)
- [Overview](/api-reference/getting-started/overview.md)
